package com.dtocrudoperation.Controller;

import com.dtocrudoperation.Dto.UserLocationDto;
import com.dtocrudoperation.Service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
@RestController
public class UserController {

    @Autowired
    private UserService userService;

            @GetMapping("/users-location")
            @ResponseBody
            public List<UserLocationDto> getAllUsersLocations(){
                List<UserLocationDto> userLocation =  userService.getAllUsersLocations();
            return  userLocation;
            }

}
