package com.dtocrudoperation;

import com.dtocrudoperation.Model.Location;
import com.dtocrudoperation.Model.User;
import com.dtocrudoperation.Repository.LocationRepository;
import com.dtocrudoperation.Repository.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

@SpringBootApplication
public class DtoCrudOperationApplication implements CommandLineRunner {



	public static void main(String[] args) {
		SpringApplication.run(DtoCrudOperationApplication.class, args);
		System.out.println("Project Started.......................");
		//User user = new User();
		//user.setEmail();

		//Location location = new Location();
		//location.setId();
	}
	@Autowired
	private UserRepository userRepository;

		@Autowired
	private LocationRepository locationRepository;


	@Override
	public void run(String... args) throws Exception {

		Location location = new Location();
		location.setPlace("Umerkot");
		location.setDescription("Umerkot is the city of peace");
		location.setLongitude(48.5);
		location.setLatitude(30.6);
		locationRepository.save(location);



		User user1 = new User();
		user1.setFirstName("Suresh");
		user1.setLastName("Kumar");
		user1.setEmail("suershkumar@gmail.com");
		user1.setPassword("skumar");
		user1.setLocation(location);
		userRepository.save(user1);

		User user2 = new User();
		user2.setFirstName("Rahim");
		user2.setLastName("Irshaad");
		user2.setEmail("rahim@gmail.com");
		user2.setPassword("rirshad");
		user2.setLocation(location);
		userRepository.save(user2);

	}
}
